WPMU主题兼容性

0条评论

并非所有外观主题均能兼容WPMU。初次使用时问题出的最多的是Ohz的外观主题工具包所生成的外观主题。

与Widgets插件的兼容性能在你的网站扩大的同时保证其可管理性

以下内容涉及Widgets插件,以及使外观主题兼容Widget的方法:http://mu.wordpress.org/forums/topic.php?id=1541

已知可兼容的外观主题:

为MU进行测试时需要查找的外观主题相关问题:

  • 硬编码链接
  • 作者个人信息
  • 分类链接出现一些问题(请自行查相关阅论坛帖子),尤其是在经外观主题开发者修改过的情况下会出现此问题
  • 额外需要的插件

已知不兼容的外观主题:

经修改调整后可兼容的外观主题:

在MU中安装任何外观主题后进行相关测试会比较好。上传外观主题后仅将其用于测试,或仅在管理员帐户下进行测试;切换到需测试的外观主题,记录下出现的所有错误或需要修正之处。当你解决了这些问题后就可以在整个网站中启用该外观主题了。

切记,并非所有目前发布的外观主题均经过完整测试,也无法保证所有情况下这些外观主题均可实现。